import Docker from 'dockerode';
import DockerWrapper from './dockerWrapper.js';
export default class RemoteDockerWrapper extends DockerWrapper {
    dispose(): Promise<void>;
    getDocker(): Promise<Docker>;
    isAvailable(): Promise<boolean>;
    prepare(): Promise<void>;
    start(): Promise<void>;
}
